$! This command procedure sets and enables SMBD services in TCPIP
$! 
$! Modification History:
$! Usha KL              14-Nov-05      Added Comment
$!
$ set noon
$!
$ if f$trnlnm("TCPWARE_DOMAINNAME") .nes. ""
$ then
$ 	define/user sys$output nla0:
$ 	define/user sys$error nla0:
$	netcu :== $tcpware:netcu
$	netcu remove service/abort 139 tcp
$	netcu add service 139 bg_tcp -
		/user=SAMBA$SMBD-
		/process=SMBD -
		/input=SAMBA_ROOT:[BIN]SMBD_STARTUP.COM
$! endif
$!
$ else if f$trnlnm("MULTINET_KERNEL_BASE_ADDRESS") .nes. "" 
$ then
$! 	define/user sys$output nla0:
$! 	define/user sys$error nla0:
$	multinet config/server
$	deck
		ADD SMBD
                TCP
                139
		SAMBA_ROOT:[BIN]SMBD_STARTUP.COM
		SELECT SMBD
		SET FLAGS UCX_SERVER
		SET USERNAME SAMBA$SMBD
		ENABLE SMBD
$	eod
$! endif
$!
$ else 
$ 	define/user sys$output nla0:
$ 	define/user sys$error nla0:
$ 	tcpip disable service smbd
$ 	tcpip set service smbd -
		/protocol=TCP -
		/port=139 -
		/flag=listen - 
		/user=SAMBA$SMBD-
		/process=SMBD -
		/file=SAMBA_ROOT:[BIN]SMBD_STARTUP.COM -
		/log=(FILE:SAMBA_ROOT:[VAR]SMBD_STARTUP.LOG,ALL) -
		/limit=100
$ 
$ 	TCPIP SET SERVICE SMBD
$ 	TCPIP SET CONFIG ENABLE SERVICE SMBD
$ 	TCPIP SET CONFIG ENABLE NOSERVICE SMBD
$ endif
$!
$done:
